package nl.fampennings.inlineextend;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.Toast;

public class InlineExtendActivity extends Activity {
  private int count= 0; 
  
  @Override
  public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.main);
  }
  
  public void onTestClick(View v) {
    // Test 1
    C o1= new C("o1");
    String s1= o1.Greet();
    Toast.makeText( getApplicationContext(), s1, Toast.LENGTH_SHORT ).show();
    
    // Test 2
    CC o2= new CC("o2");
    String s2= o2.Greet();
    Toast.makeText( getApplicationContext(), s2, Toast.LENGTH_SHORT ).show();
    
    // Test 3
    C o3= new C("o3") {
      public String Helper( ) {
        count++;
        return "("+count+")";
      }
      @Override
      public String Greet( ) {
        return  "C{} object "+name+" says hi "+Helper();
      }
    };
    String s3= o3.Greet();
    Toast.makeText( getApplicationContext(), s3, Toast.LENGTH_SHORT ).show();
  }

}